Bug 68755 - X windows won't restart
X windows won't restart
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-13 11:08 EDT by Harvey Modlin
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-13 11:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harvey Modlin 2002-07-13 11:08:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
On kernel 2.4.18-5 using i686 with i810-series chipset (my case i815 chipset), X
windows will start only once. On 2.4.18-4, this problem does not exist. I have
verified this problem on two computers with totally different motherboards and
slightly different chipsets. In init level 3, I can boot up, log in, do startx,
run gnome or kde, and log out back to command prompt. Second attempt to do
startx fails. Booting to init level 5, I can log in and log out, then the
problem starts. On one computer I get a console hang. On another computer, the
system tries to run Xconfigurator automatically as a helpful solution, but it
doesn't solve the problem. My absolute cure for this problem is to force
2.4.18-4 rpm back in and get rid of 2.4.18-5.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install 2.4.18-5
2.boot, login, run x (either startx from init level 3 or boot to init level 5
3.log out from window manager
4.if init level 3, try startx again)

Actual Results:  

XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-8) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.17-0.13smp i686 [ELF] 
Build Host: daffy.perf.redhat.com
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Jul 11 07:25:40 2002
(==) Using config file: "/etc/X11/XF86Config-4"
(EE) GARTInit: AGPIOC_INFO failed (Invalid argument)
(EE) I810(0): AGP GART support is not available.  Make sure your kernel has
	agpgart support or that the agpgart kernel module is loaded.
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.

Expected Results:  No error, x would restart.

Additional info:
Comment 1 Arjan van de Ven 2002-07-13 11:10:37 EDT
Should be fixed in


it was an i810 DRM code bug fixed about a week ago
Comment 2 Arjan van de Ven 2002-09-05 05:40:29 EDT
fixed in current erratum

Note You need to log in before you can comment on or make changes to this bug.